Elput gesture accessors

- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

Functions | Variables
Elput gesture accessors

Functions for accessing details of gesture events. More...

## Functions
EAPI double | elput_swipe_dx_get (Elput_Swipe_Gesture *gesture)
| Get the difference of x position from the last event to this event.
EAPI double | elput_swipe_dy_get (Elput_Swipe_Gesture *gesture)
| Get the difference of y position from the last event to this event.
EAPI int | elput_swipe_finger_count_get (Elput_Swipe_Gesture *gesture)
| Get the finger_count for this gesture.
EAPI int | elput_swipe_window_get (Elput_Swipe_Gesture *gesture)
| Get the window in which this event is emitted.
EAPI Elput_Device * | elput_swipe_device_get (Elput_Swipe_Gesture *gesture)
| Get the device from which the gesture event is coming.

## Variables
EAPI int | ELPUT_EVENT_SWIPE_BEGIN
| A swipe gesture has began.
EAPI int | ELPUT_EVENT_SWIPE_UPDATE
| There is a change to a ongoing swipe gesture.
EAPI int | ELPUT_EVENT_SWIPE_END
| A ongoing swipe gesture has ended.

## Detailed Description

Functions for accessing details of gesture events.

The structure pointers can only be accessed within the events that emit them.

## Function Documentation

## ◆ elput_swipe_dx_get()

EAPI double elput_swipe_dx_get | ( | Elput_Swipe_Gesture * | gesture | ) |

Get the difference of x position from the last event to this event.

Parameters

  gesture | The event, if NULL 0 is returned

Since
  1.26

## ◆ elput_swipe_dy_get()

EAPI double elput_swipe_dy_get | ( | Elput_Swipe_Gesture * | gesture | ) |

Get the difference of y position from the last event to this event.

Parameters

  gesture | The event, if NULL 0 is returned

Since
  1.26

## ◆ elput_swipe_finger_count_get()

EAPI int elput_swipe_finger_count_get | ( | Elput_Swipe_Gesture * | gesture | ) |

Get the finger_count for this gesture.

Parameters

  gesture | The event, if NULL 0 is returned

Since
  1.26

## ◆ elput_swipe_window_get()

EAPI int elput_swipe_window_get | ( | Elput_Swipe_Gesture * | gesture | ) |

Get the window in which this event is emitted.

Parameters

  gesture | The event, if NULL 0 is returned

Since
  1.26

## ◆ elput_swipe_device_get()

EAPI Elput_Device * elput_swipe_device_get | ( | Elput_Swipe_Gesture * | gesture | ) |

Get the device from which the gesture event is coming.

This value is the same for the lifetime of a gesture

Parameters

  gesture | The event, if NULL, NULL is returned

Since
  1.26

## Variable Documentation

## ◆ ELPUT_EVENT_SWIPE_BEGIN

EAPI int ELPUT_EVENT_SWIPE_BEGIN
| extern

A swipe gesture has began.

ELPUT_EVENT_SWIPE_UPDATE and finally a single ELPUT_EVENT_SWIPE_END event will be emitted.

Since
  1.26

Referenced by elput_init().

## ◆ ELPUT_EVENT_SWIPE_UPDATE

EAPI int ELPUT_EVENT_SWIPE_UPDATE
| extern

There is a change to a ongoing swipe gesture.

Since
  1.26

Referenced by elput_init().

## ◆ ELPUT_EVENT_SWIPE_END

EAPI int ELPUT_EVENT_SWIPE_END
| extern

A ongoing swipe gesture has ended.

This ends the lifetime of this gesture.

Since
  1.26

Referenced by elput_init().